import request from '../../utils/request'

/**
 * 获取班次列表
 * @param {JSON参数} data 
 */
export function getDutyFrequencyList(data) {
  return request({
    url: '/Duty/GetDutyFrequencyList',
    method: 'post',
    data
  })
}

/**
 * 删除班次
 * @param {JSON参数} data 
 */
export function removeFrequency(data) {
  return request({
    url: '/Duty/RemoveFrequency',
    method: 'post',
    data
  })
}

/**
 * 新增班次
 * @param {JSON参数} data 
 */
export function getSetFrequencyModel(data) {
  return request({
    url: '/Duty/GetSetFrequencyModel',
    method: 'post',
    data
  })
}

/**
 * 值班事项列表
 * @param {JSON参数} data 
 */
export function queryDutyItemPage(data) {
  return request({
    url: '/Duty/GetDutyItemPage',
    method: 'post',
    data
  })
}

/**
 * 删除值班事项列表
 * @param {JSON参数} data 
 */
export function removeDutyItem(data) {
  return request({
    url: '/Duty/RemoveDutyItem',
    method: 'post',
    data
  })
}

/**
 * 值班事项类型枚举
 * @param {JSON参数} data 
 */
export function getItemTypeEnumList(data) {
  return request({
    url: '/Duty/GetItemTypeEnumList',
    method: 'post',
    data
  })
}

/**
 * 新增/修改值班事项
 * @param {JSON参数} data 
 */
export function getSetDutyItemModel(data) {
  return request({
    url: '/Duty/GetSetDutyItemModel',
    method: 'post',
    data
  })
}

/**
 * 根据班次获取学校信息
 * @param {JSON参数} data 
 */
export function getSchoolListByFrequencyIds(data) {
  return request({
    url: '/Duty/GetSchoolListByFrequencyIds',
    method: 'post',
    data
  })
}

/**
 * 根据学校id获取对应的班次
 * @param {JSON参数} data 
 */
export function getDutyFrequencyBySchoolIds(data) {
  return request({
    url: '/Duty/GetDutyFrequencyBySchoolIds',
    method: 'post',
    data
  })
}

/**
 * 获取值班设置列表
 * @param {JSON参数} data 
 */
export function getDutyConfigList(data) {
  return request({
    url: '/Duty/GetDutyConfigList',
    method: 'post',
    data
  })
}

/**
 * 新增/修改值班设置
 * @param {JSON参数} data 
 */
export function getSetDutyConfigModel(data) {
  return request({
    url: '/Duty/GetSetDutyConfigModel',
    method: 'post',
    data
  })
}

/**
 * 删除值班设置
 * @param {JSON参数} data 
 */
export function removeDutyConfig(data) {
  return request({
    url: '/Duty/RemoveDutyConfig',
    method: 'post',
    data
  })
}
